VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsTemp"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
Private temperature As Single   'zawsze w stopniach Celsiusza
Private toFahr As Boolean       'żądana konwersja do stopni Fahrenheita

Public Sub setEnterTemp(ByVal tx As String, ByVal isCelsius As Boolean)
  'przekształć do stopni Celsiusza i zapamiętaj
  If Not isCelsius Then
    makeCel tx                    'przekształć i zapamiętaj
    toFahr = False
  Else
    temperature = Val(tx)         'zapamiętaj, przekształcenie niepotrzebne
    toFahr = True
  End If
End Sub

Private Sub makeCel(tx As String)
  temperature = 5 * (Val(tx) - 32) / 9
End Sub

Private Function makeFahr() As Single
  Dim t As Single
  'przekształć do stopni Fahrenheita
  t = 9 * (temperature / 5) + 32
  makeFahr = t
End Function

Public Function getTempString() As String
  getTempString = Str$(getTempVal)
End Function

Public Function getTempVal() As Single
  Dim outTemp As Single
  If toFahr Then          'czy trzeba zwrócić w stopniach Fahrenheita ?
    outTemp = makeFahr    'tak - przekształć
  Else
    outTemp = temperature 'nie
  End If
  getTempVal = outTemp    'zwróć wartość temperatury
End Function
